Actions
Open actions plus actions done or dismissed in the last 14 days.
apiKeyx-api-key<token>Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...
brandId*stringuuidseverity?stringComma-separated severities; none for unset
length <= 500assignee?stringComma-separated user ids; none for unassigned
length <= 500kinds?stringComma-separated action kinds
length <= 500Actions sorted by severity, then newest
application/jsonitems*array<>curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/actions'{ "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "content_gap", "status": "suggested", "severity": "critical", "title": "string", "description": "string", "ctaLabel": "string", "ctaHref": "string", "source": "user", "assignee": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "email": "string", "image": "string" }, "statusChangedAt": "string", "createdAt": "string" } ]}curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/actions'{
"items": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"kind": "content_gap",
"status": "suggested",
"severity": "critical",
"title": "string",
"description": "string",
"ctaLabel": "string",
"ctaHref": "string",
"source": "user",
"assignee": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"email": "string",
"image": "string"
},
"statusChangedAt": "string",
"createdAt": "string"
}
]
}